LDmicro0.1
MICRO=Microchip PIC16F628 18-PDIP or 18-SOIC
CYCLE=10000
CRYSTAL=4000000
BAUD=2400
COMPILED=C:\Users\\Desktop\  (14)\v1.hex

IO LIST
    Xinput1 at 15
    Xinput2 at 16
    Yled1 at 11
    Yled2 at 12
    Yout1a at 18
    Yout1b at 1
    Yout1c at 2
    Yout1d at 3
    Yout1e at 17
    Yout2a at 7
    Yout2b at 8
    Yout2c at 9
    Yout2d at 10
    Yout2e at 6
END

PROGRAM
RUNG
    CONTACTS Rtact 0
    TON Ttacf 500000
    TOF Ttac1 500000
    COIL Rtact 1 0 0
END
RUNG
    CONTACTS Rtact 0
    CONTACTS Rled1 0
    CONTACTS Rled2 0
    CTC Copros 9
END
RUNG
    EQU Copros 0
    COIL Rout1a0 0 0 0
END
RUNG
    EQU Copros 1
    COIL Rout1a1 0 0 0
END
RUNG
    EQU Copros 2
    COIL Rout1b2 0 0 0
END
RUNG
    EQU Copros 3
    COIL Rout1c3 0 0 0
END
RUNG
    EQU Copros 4
    COIL Rout1d4 0 0 0
END
RUNG
    EQU Copros 5
    PARALLEL
        COIL Rout1a5 0 0 0
        COIL Rout1e5 0 0 0
    END
END
RUNG
    EQU Copros 6
    PARALLEL
        COIL Rout1b6 0 0 0
        COIL Rout1e6 0 0 0
    END
END
RUNG
    EQU Copros 7
    PARALLEL
        COIL Rout1c7 0 0 0
        COIL Rout1e7 0 0 0
    END
END
RUNG
    EQU Copros 8
    PARALLEL
        COIL Rout1d8 0 0 0
        COIL Rout1e8 0 0 0
    END
END
RUNG
    EQU Copros 9
    PARALLEL
        COIL Rout1a9 0 0 0
        COIL Rout1b9 0 0 0
        COIL Rout1c9 0 0 0
        COIL Rout1d9 0 0 0
        COIL Rout1e9 0 0 0
    END
END
RUNG
    PARALLEL
        CONTACTS Rout1a1 0
        CONTACTS Rout1a5 0
        CONTACTS Rout1a9 0
    END
    PARALLEL
        COIL Yout1a 0 0 0
        COIL Yout2a 0 0 0
    END
END
RUNG
    PARALLEL
        CONTACTS Rout1b2 0
        CONTACTS Rout1b6 0
        CONTACTS Rout1b9 0
    END
    PARALLEL
        COIL Yout1b 0 0 0
        COIL Yout2b 0 0 0
    END
END
RUNG
    PARALLEL
        CONTACTS Rout1c3 0
        CONTACTS Rout1c7 0
        CONTACTS Rout1c9 0
    END
    PARALLEL
        COIL Yout1c 0 0 0
        COIL Yout2c 0 0 0
    END
END
RUNG
    PARALLEL
        CONTACTS Rout1d2 0
        CONTACTS Rout1d8 0
        CONTACTS Rout1d9 0
    END
    PARALLEL
        COIL Yout1d 0 0 0
        COIL Yout2d 0 0 0
    END
END
RUNG
    PARALLEL
        CONTACTS Rout1e5 0
        CONTACTS Rout1e6 0
        CONTACTS Rout1e7 0
        CONTACTS Rout1e8 0
        CONTACTS Rout1e9 0
    END
    PARALLEL
        COIL Yout1e 0 0 0
        COIL Yout2e 0 0 0
    END
END
RUNG
    CONTACTS Xinput1 0
    COIL Rinput1r 0 0 0
END
RUNG
    CONTACTS Xinput2 0
    COIL Rinput2r 0 0 0
END
RUNG
    PARALLEL
        SERIES
            CONTACTS Rout1a0 0
            CONTACTS Rinput1r 0
        END
        SERIES
            CONTACTS Rout1a1 0
            CONTACTS Rinput1r 0
        END
        SERIES
            CONTACTS Rout1b2 0
            CONTACTS Rinput1r 0
        END
        SERIES
            CONTACTS Rout1c3 0
            CONTACTS Rinput1r 0
        END
        SERIES
            CONTACTS Rout1d4 0
            CONTACTS Rinput1r 0
        END
        SERIES
            CONTACTS Rout1e5 0
            CONTACTS Rinput1r 1
        END
        SERIES
            CONTACTS Rout1e6 0
            CONTACTS Rinput1r 1
        END
        SERIES
            CONTACTS Rout1e7 0
            CONTACTS Rinput1r 1
        END
        SERIES
            CONTACTS Rout1e8 0
            CONTACTS Rinput1r 1
        END
        SERIES
            CONTACTS Rout1e9 0
            CONTACTS Rinput1r 0
        END
    END
    PARALLEL
        COIL Yled1 0 0 0
        COIL Rled1 0 0 0
    END
END
RUNG
    PARALLEL
        SERIES
            CONTACTS Rout1a0 0
            CONTACTS Rinput2r 0
        END
        SERIES
            CONTACTS Rout1a1 0
            CONTACTS Rinput2r 0
        END
        SERIES
            CONTACTS Rout1b2 0
            CONTACTS Rinput2r 0
        END
        SERIES
            CONTACTS Rout1c3 0
            CONTACTS Rinput2r 0
        END
        SERIES
            CONTACTS Rout1d4 0
            CONTACTS Rinput2r 0
        END
        SERIES
            CONTACTS Rout1e5 0
            CONTACTS Rinput2r 1
        END
        SERIES
            CONTACTS Rout1e6 0
            CONTACTS Rinput2r 1
        END
        SERIES
            CONTACTS Rout1e7 0
            CONTACTS Rinput2r 1
        END
        SERIES
            CONTACTS Rout1e8 0
            CONTACTS Rinput2r 1
        END
        SERIES
            CONTACTS Rout1e9 0
            CONTACTS Rinput2r 0
        END
    END
    PARALLEL
        COIL Yled2 0 0 0
        COIL Rled2 0 0 0
    END
END
